# TODO:
#	- package bash completions
#
Summary:	Yafc is yet another FTP and SFTP client
Summary(pl.UTF-8):	Yafc to Jeszcze Jeden Klient FTP oraz SFTP
Name:		yafc
Version:	1.3.7
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://www.yafc-ftp.com/downloads/%{name}-%{version}.tar.xz
# Source0-md5:	4b6e0d46ab7ab78956bbb106ae904820
Source1:	%{name}.desktop
URL:		http://www.yafc-ftp.com/
BuildRequires:	heimdal-devel
BuildRequires:	libbsd-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
#BuildRequires:	socks5-devel
BuildRequires:	texinfo
Requires:	openssh-clients
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer 

%description
Yafc is yet another FTP client, similar to ftp(1). It is an
interactive interface to the FTP protocol and SFTP protocol.
#It has SOCKS5 protocol support.

%description -l pl.UTF-8
Yafc to Jeszcze Jeden Klient FTP, podobny do ftp(1). Ma interaktywny
interfejs do protokołu FTP oraz SFTP.
#Obsługuje protokół SOCKS5.

%prep
%setup -q

%build
%configure
#	--with-socks5
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install samples/yafcrc $RPM_BUILD_ROOT%{_sysconfdir}/yafcrc
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc BUGS COPYRIGHT NEWS README.md THANKS TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yafcrc
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man1/*
%{_infodir}/yafc.info*
%changelog
* Thu Oct 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yafc.git;a=log;h=auto/th/yafc-1.3.7-1

* Thu Oct 20 2016 Jan Rękorajski <baggins@pld-linux.org> 7984a25
- up to 1.3.7
- drop home_etc hacks

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 1e59808
- fix patch broken by cvs->git conversion

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> e520247
- rebuild with readline 7.0
- release 10 (by relup.sh)

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> 0b13ddc
- rel 9
- fix gssapi, don't redefine obvious things coming from gssapi.h

* Wed Aug 03 2011 Jan Rękorajski <baggins@pld-linux.org> e8a1744
- release 8

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> 7cd5d45
- rel 7
- switch to heimdal kerberos
- removed krb5 patch

* Thu Jul 02 2009 Jan Rękorajski <baggins@pld-linux.org> f51c8b4
- obsolete

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 006e3c6
- release 6

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 398ac70
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 97fcda2
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Apr 01 2007 Jan Rękorajski <baggins@pld-linux.org> f971136
- disable stupid gssapi/heimdal/krb5 assumptions

* Sun Apr 01 2007 Jan Rękorajski <baggins@pld-linux.org> f7f2ed9
- rel 5
- force krb5 by disabling stupid gssapi/heimdal/krb5 assumptions

* Sat Mar 31 2007 Jan Rękorajski <baggins@pld-linux.org> c95775a
- rel 4
- s/heimdal/krb5/

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> aa9ae47
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b57b5fe
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4789866
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sun Aug 06 2006 wolf <wolf@pld-linux.org> 212fbf6
- rel 3

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> ba298cf
- orphaned, outdated

* Tue Feb 14 2006 wolf <wolf@pld-linux.org> d64967d
- fixed gssapi, rel 2

* Tue Feb 14 2006 wolf <wolf@pld-linux.org> 5e80cdf
- fixed (?)

